Get a marketing signup
curl --request GET \
--url https://app.giftvoucherbrilliance.co.uk/api/external/v1/tenants/{tenant}/customers/marketing-signups/{customer} \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://app.giftvoucherbrilliance.co.uk/api/external/v1/tenants/{tenant}/customers/marketing-signups/{customer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.giftvoucherbrilliance.co.uk/api/external/v1/tenants/{tenant}/customers/marketing-signups/{customer}"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.giftvoucherbrilliance.co.uk/api/external/v1/tenants/{tenant}/customers/marketing-signups/{customer}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 123,
"email": "jsmith@example.com",
"marketing_opted": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"forename": "<string>",
"surname": "<string>",
"full_name": "<string>",
"phone_number": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"town": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"countryiso2": "<string>",
"postcode": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Customers
Get a marketing signup
export_customer_information permission required.
All successful responses include X-Request-Id and Cache-Control: private, no-store. Requests are limited to 120 per minute.
GET
/
tenants
/
{tenant}
/
customers
/
marketing-signups
/
{customer}
Get a marketing signup
Authorizations
Bearer token created in the GVB API Access page.
Headers
Must be application/json.
Available options:
application/json Path Parameters
Authorised tenant identifier from the tenant directory.
Marketing signup customer identifier.
Response
Successful response.
Show child attributes
Show child attributes
⌘I